#
# spec file for package perl-Devel-REPL
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Devel-REPL
Name:           perl-Devel-REPL
Version:        1.3.29
Release:        1.2
# 1.003029 -> normalize -> 1.3.29
%define cpan_version 1.003029
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Modern perl interactive shell
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(B::Keywords)
BuildRequires:  perl(CPAN::Meta::Requirements) >= 2.121
BuildRequires:  perl(Data::Dump::Streamer) >= 2.390
BuildRequires:  perl(Data::Dumper::Concise)
BuildRequires:  perl(File::Next)
BuildRequires:  perl(Lexical::Persistence)
BuildRequires:  perl(Module::Metadata)
BuildRequires:  perl(Module::Runtime)
BuildRequires:  perl(Moose) >= 0.930
BuildRequires:  perl(Moose::Meta::Role)
BuildRequires:  perl(Moose::Role)
BuildRequires:  perl(MooseX::Getopt) >= 0.180
BuildRequires:  perl(MooseX::Object::Pluggable) >= 0.0.900
BuildRequires:  perl(PPI)
BuildRequires:  perl(Task::Weaken)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(namespace::autoclean)
Requires:       perl(B::Keywords)
Requires:       perl(Data::Dump::Streamer) >= 2.390
Requires:       perl(Data::Dumper::Concise)
Requires:       perl(File::Next)
Requires:       perl(Lexical::Persistence)
Requires:       perl(Module::Runtime)
Requires:       perl(Moose) >= 0.930
Requires:       perl(Moose::Meta::Role)
Requires:       perl(Moose::Role)
Requires:       perl(MooseX::Getopt) >= 0.180
Requires:       perl(MooseX::Object::Pluggable) >= 0.0.900
Requires:       perl(PPI)
Requires:       perl(Task::Weaken)
Requires:       perl(namespace::autoclean)
Provides:       perl(Devel::REPL) = %{version}
Provides:       perl(Devel::REPL::Error) = %{version}
Provides:       perl(Devel::REPL::Meta::Plugin) = %{version}
Provides:       perl(Devel::REPL::Plugin) = %{version}
Provides:       perl(Devel::REPL::Plugin::B::Concise) = %{version}
Provides:       perl(Devel::REPL::Plugin::Colors) = %{version}
Provides:       perl(Devel::REPL::Plugin::Commands) = %{version}
Provides:       perl(Devel::REPL::Plugin::Completion) = %{version}
Provides:       perl(Devel::REPL::Plugin::CompletionDriver::Globals) = %{version}
Provides:       perl(Devel::REPL::Plugin::CompletionDriver::INC) = %{version}
Provides:       perl(Devel::REPL::Plugin::CompletionDriver::Keywords) = %{version}
Provides:       perl(Devel::REPL::Plugin::CompletionDriver::LexEnv) = %{version}
Provides:       perl(Devel::REPL::Plugin::CompletionDriver::Methods) = %{version}
Provides:       perl(Devel::REPL::Plugin::CompletionDriver::Turtles) = %{version}
Provides:       perl(Devel::REPL::Plugin::DDC) = %{version}
Provides:       perl(Devel::REPL::Plugin::DDS) = %{version}
Provides:       perl(Devel::REPL::Plugin::DumpHistory) = %{version}
Provides:       perl(Devel::REPL::Plugin::FancyPrompt) = %{version}
Provides:       perl(Devel::REPL::Plugin::FindVariable) = %{version}
Provides:       perl(Devel::REPL::Plugin::History) = %{version}
Provides:       perl(Devel::REPL::Plugin::Interrupt) = %{version}
Provides:       perl(Devel::REPL::Plugin::LexEnv) = %{version}
Provides:       perl(Devel::REPL::Plugin::MultiLine::PPI) = %{version}
Provides:       perl(Devel::REPL::Plugin::Nopaste) = %{version}
Provides:       perl(Devel::REPL::Plugin::OutputCache) = %{version}
Provides:       perl(Devel::REPL::Plugin::PPI) = %{version}
Provides:       perl(Devel::REPL::Plugin::Packages) = %{version}
Provides:       perl(Devel::REPL::Plugin::Peek) = %{version}
Provides:       perl(Devel::REPL::Plugin::ReadLineHistory) = %{version}
Provides:       perl(Devel::REPL::Plugin::Refresh) = %{version}
Provides:       perl(Devel::REPL::Plugin::ShowClass) = %{version}
Provides:       perl(Devel::REPL::Plugin::Timing) = %{version}
Provides:       perl(Devel::REPL::Plugin::Turtles) = %{version}
Provides:       perl(Devel::REPL::Profile) = %{version}
Provides:       perl(Devel::REPL::Profile::Default) = %{version}
Provides:       perl(Devel::REPL::Profile::Minimal) = %{version}
Provides:       perl(Devel::REPL::Profile::Standard) = %{version}
Provides:       perl(Devel::REPL::Script) = %{version}
%undefine       __perllib_provides
Recommends:     perl(App::Nopaste)
Recommends:     perl(B::Keywords)
Recommends:     perl(Data::Dump::Streamer) >= 2.390
Recommends:     perl(Data::Dumper::Concise)
Recommends:     perl(File::Next)
Recommends:     perl(Lexical::Persistence)
Recommends:     perl(Module::Refresh)
Recommends:     perl(PPI)
Recommends:     perl(PPI::XS) >= 0.902
Recommends:     perl(Sys::SigAction)
%{perl_requires}

%description
This is an interactive shell for Perl, commonly known as a REPL - Read,
Evaluate, Print, Loop. The shell provides for rapid development or testing
of code without the need to create a temporary source code file.

Through a plugin system, many features are available on demand. You can
also tailor the environment through the use of profiles and run control
files, for example to pre-load certain Perl modules when working on a
particular project.

%prep
%autosetup -n %{cpan_name}-%{cpan_version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes CONTRIBUTING examples README
%license LICENCE

%changelog
* Mon Jun 23 2025 Tina Müller <tina.mueller@suse.com>
- Normalize CPAN version
  See https://github.com/openSUSE/cpanspec/issues/47 for details
* Sun May 29 2022 Tina Müller <timueller+perl@suse.de>
- updated to 1.003029
  see /usr/share/doc/packages/perl-Devel-REPL/Changes
  1.003029   2022-05-28 03:31:29Z
  - removed File::HomeDir dependency
* Fri Feb 19 2016 coolo@suse.com
- updated to 1.003028
  see /usr/share/doc/packages/perl-Devel-REPL/Changes
  1.003028   2016-02-16 01:13:08Z
  - increase the required version of Data::Dump::Streamer (see RT#105466)
* Wed Jan 20 2016 coolo@suse.com
- updated to 1.003027
  see /usr/share/doc/packages/perl-Devel-REPL/Changes
* Mon Sep 15 2014 coolo@suse.com
- updated to 1.003026
  - fix inclusion of of optional plugin prereqs when installation is run
    non-interactively
* Mon Nov 25 2013 coolo@suse.com
- updated to 1.003025
  - The default profile is now "Minimal", not "Default", as Default requires
    some optional features; Default renamed to Standard (RT#88615)
  - workaround added for plugins consuming plugins that use optional features
  - install problems fixed when some optional prereqs are not installed, by
    properly detecting the lack of features during testing (RT#88542)
  - spelling fixes (RT#87691, David Steinbrunner)
  - removed use of deprecated functions from Class::MOP
  - long-deprecated Devel::REPL::Plugin::NewlineHack removed at last
  - converted dist to Dist::Zilla, with a different mechanism for specifying
    optional features (install with cpanm --interactive to be prompted)
  - shebang fixed in re.pl so it is rewritten to point to the proper perl at
    install time (RT#70928)
  - Fix "No arguments!" error in Plugin::DDS when nothing to dump (RT#71205,
    Ash Berlin)
  - fix failing test when Lexical::Persistence is not installed
* Tue Jun  4 2013 coolo@suse.com
- updated to 1.003018
  - more attempts to fix Term::ReadLine issues in tests (RT#84246, mephinet)
  - fix issues with Term::ReadLine:Perl in tests (RT#84246) (thanks,
    Christopher McCann!)
  - make all plugins load again by using native traits (thanks, Zaki Mughal!)
    (RT#84011)
  - fix "Attempt to use reference as lvalue in substr" warning on perl 5.16
    (thanks, ilmari!)
  - plugins that are used by the default profile now default to being
    installed, fixing RT#83669 and RT#83677
* Fri Nov 30 2012 coolo@suse.com
- updated to 1.003014
  - now using native Moose attribute traits, instead of the deprecated
    MooseX::AttributeHelper (thanks, Justin Hunter!)
  - now using namespace::autoclean rather than namespace::clean (thanks, Karen
    Etheridge!)
* Fri Jun  1 2012 coolo@suse.com
- updated to 1.003013
  - Make Sys::SigAction optional dependency for Win32 systems
  - Apply some plugin related patchs from Caleb Cushing
* Sat Dec 31 2011 coolo@suse.com
- update to 1.003012
  - Remove some old code to avoid a future Moose warnin
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Wed Jul 28 2010 jw@novell.com
- re.pl did not start, added Requires: perl(File::Which)
* Wed Jun 16 2010 pascal.bleser@opensuse.org
- update to 1.003011:
  * history plugin now works for Term::ReadLine::Perl
  * add ReadLine file completion if no other matches, fixes rt.cpan#58351
  * add a bit more description of Turtle plugin to its POD
  * fix rt.cpan#43151 where _-> completion had error
  * added docs on quoting and history expansion addressing rt.cpan#48459
- explicitly require perl = perl_version
* Wed May 26 2010 pascal.bleser@opensuse.org
- update to 1.003010
* Tue May 11 2010 pascal.bleser@opensuse.org
- add missing Requires on Lexical::Persistence
* Tue May 11 2010 pascal.bleser@opensuse.org
- initial package (1.003009)
